Groovy 1.7.10

## org.codehaus.groovy.control
[Java] Class Phases

    java.lang.Object
      org.codehaus.groovy.control.Phases

    public class Phases
    extends Object

Compilation phase identifiers.

Authors:
  Chris Poirier

Version:
  \$Id: Phases.java 10493 2008-01-19 10:23:02Z russel \$

Field Summary
`static int` | `ALL`
`static int` | `CANONICALIZATION`
`static int` | `CLASS_GENERATION`
`static int` | `CONVERSION`
`static int` | `FINALIZATION`
`static int` | `INITIALIZATION`
`static int` | `INSTRUCTION_SELECTION`
`static int` | `OUTPUT`
`static int` | `PARSING`
`static int` | `SEMANTIC_ANALYSIS`
`static String[]` | `descriptions`

Method Summary
`static String` | `getDescription(int phase)` Returns a description of the specified phase.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### ALL

    public static final int ALL

### CANONICALIZATION

    public static final int CANONICALIZATION

### CLASS_GENERATION

    public static final int CLASS_GENERATION

### CONVERSION

    public static final int CONVERSION

### FINALIZATION

    public static final int FINALIZATION

### INITIALIZATION

    public static final int INITIALIZATION

### INSTRUCTION_SELECTION

    public static final int INSTRUCTION_SELECTION

### OUTPUT

    public static final int OUTPUT

### PARSING

    public static final int PARSING

### SEMANTIC_ANALYSIS

    public static final int SEMANTIC_ANALYSIS

### descriptions

    public static String[] descriptions

Method Detail

### getDescription

    public static String getDescription(int phase)

  Returns a description of the specified phase.

Copyright © 2003-2010 The Codehaus. All rights reserved.